## visad.georef
Class EarthLocationTuple

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Tuple
                  visad.RealTuple
                      visad.georef.EarthLocationTuple

All Implemented Interfaces:
  Cloneable, Data, EarthLocation, LatLonPoint, RealTupleIface, Serializable, Thing, TupleIface

public class EarthLocationTuple
extends RealTuple
implements EarthLocation

RealTuple implementation of EarthLocation for representing a location on the earth's surface in terms of latitude, longitude and altitude above sea level. In this implementation, the RealTuple is (latitude, longitude, altitude) and has a MathType of RealTupleType.LatitudeLongitudeAltitude.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
``

Field Summary
`(package private) Real` `alt`
`static Unit[]` `DEFAULT_UNITS`
`(package private) LatLonTuple` `latlon`

Fields inherited from class visad.Tuple
``

Fields inherited from class visad.DataImpl
``

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`` `EarthLocationTuple()` Construct an EarthLocationTuple with missing values
`` `EarthLocationTuple(double lat, double lon, double alt)` Construct an EarthLocationTuple from double values of lat, lon, alt
`` `EarthLocationTuple(LatLonPoint latlon, Real alt)` Construct an EarthLocationTuple from a LatLonPoint and an altitude
`` `EarthLocationTuple(Real lat, Real lon, Real alt)` Construct an EarthLocationTuple from Reals of lat, lon, alt
`` `EarthLocationTuple(Real lat, Real lon, Real alt, Unit[] units, boolean checkUnits)` Construct an EarthLocationTuple from Reals of lat, lon, alt
`(package private)` `EarthLocationTuple(Real lat, Real lon, Real alt, Unit[] units, boolean checkUnits, boolean useLLTUnits)` Trusted Construct an EarthLocationTuple from Reals of lat, lon, alt

Method Summary
`Real` `getAltitude()` Get the altitude of this location
`Real` `getLatitude()` Get the latitude of this location
`LatLonPoint` `getLatLonPoint()` Get the lat/lon of this location as a LatLonPoint
`Real` `getLongitude()` Get the longitude of this location
`String` `toString()` Provide a String representation of this RealTuple.

Methods inherited from class visad.RealTuple
`addReference, binary, clone, computeRanges, getCoordinateSystem, getErrors, getTupleUnits, getValues, longString, main, removeReference, unary`

Methods inherited from class visad.Tuple
`__getitem__, __len__, adjustSamplingError, buildTupleType, equals, getComponent, getComponents, getDimension, getLength, getRealComponents, hashCode, isMissing, makeTuple`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Methods inherited from class visad.ThingImpl
``

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.georef.LatLonPoint
`equals`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Methods inherited from interface visad.TupleIface
`adjustSamplingError, getComponent, getDimension, getRealComponents, isMissing`

Field Detail

### latlon

    LatLonTuple latlon

### alt

    Real alt

### DEFAULT_UNITS

    public static final Unit[] DEFAULT_UNITS

Constructor Detail

### EarthLocationTuple

    public EarthLocationTuple()
                       throws VisADException,
                              RemoteException

  Construct an EarthLocationTuple with missing values

Throws:
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

### EarthLocationTuple

    public EarthLocationTuple(Real lat,
                              Real lon,
                              Real alt)
                       throws VisADException,
                              RemoteException

  Construct an EarthLocationTuple from Reals of lat, lon, alt

Parameters:
  `lat` - Real representing the latitude
  `lon` - Real representing the longitude
  `alt` - Real representing the altitude
Throws:
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

### EarthLocationTuple

    public EarthLocationTuple(Real lat,
                              Real lon,
                              Real alt,
                              Unit[] units,
                              boolean checkUnits)
                       throws VisADException,
                              RemoteException

  Construct an EarthLocationTuple from Reals of lat, lon, alt

Parameters:
  `lat` - Real representing the latitude
  `lon` - Real representing the longitude
  `alt` - Real representing the altitude
  `units` - array of Units. Must be same as Real units or null
  `checkUnits` - true if should check the units
Throws:
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

### EarthLocationTuple

    EarthLocationTuple(Real lat,
                       Real lon,
                       Real alt,
                       Unit[] units,
                       boolean checkUnits,
                       boolean useLLTUnits)
                 throws VisADException,
                        RemoteException

  Trusted Construct an EarthLocationTuple from Reals of lat, lon, alt

Parameters:
  `lat` - Real representing the latitude
  `lon` - Real representing the longitude
  `alt` - Real representing the altitude
  `units` - array of Units. Must be same as Real units or null
  `checkUnits` - true if should check the units
  `useLLTUnits` - true to use the LatLonTuple units
Throws:
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

### EarthLocationTuple

    public EarthLocationTuple(double lat,
                              double lon,
                              double alt)
                       throws VisADException,
                              RemoteException

  Construct an EarthLocationTuple from double values of lat, lon, alt

Parameters:
  `lat` - latitude (degrees North positive)
  `lon` - longitude (degrees East positive)
  `alt` - altitude (meters above sea level)
Throws:
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

### EarthLocationTuple

    public EarthLocationTuple(LatLonPoint latlon,
                              Real alt)
                       throws VisADException,
                              RemoteException

  Construct an EarthLocationTuple from a LatLonPoint and an altitude

Parameters:
  `latlon` - LatLonPoint
  `alt` - Real representing the altitude
Throws:
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

Method Detail

### getLatitude

    public Real getLatitude()

  Get the latitude of this location

  Specified by:
    `getLatitude` in interface `LatLonPoint`
  Returns:
    Real representing the latitude

### getLongitude

    public Real getLongitude()

  Get the longitude of this location

  Specified by:
    `getLongitude` in interface `LatLonPoint`
  Returns:
    Real representing the longitude

### getAltitude

    public Real getAltitude()

  Get the altitude of this location

  Specified by:
    `getAltitude` in interface `EarthLocation`
  Returns:
    Real representing the altitude

### getLatLonPoint

    public LatLonPoint getLatLonPoint()

  Get the lat/lon of this location as a LatLonPoint

  Specified by:
    `getLatLonPoint` in interface `EarthLocation`
  Returns:
    location of this point.

### toString

    public String toString()

  Description copied from class: `RealTuple`
  Provide a String representation of this RealTuple.

  Specified by:
    `toString` in interface `RealTupleIface`
  Overrides:
    `toString` in class `RealTuple`